Lintian Fixes - tex-common

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/tex-common lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index b580460..8357dca 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+tex-common (6.16) UNRELEASED; urgency=medium
+
+  * Use set -e rather than passing -e on the shebang-line.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 29 Oct 2020 07:14:03 -0000
+
 tex-common (6.15) unstable; urgency=medium
 
   [ Debian Janitor ]
diff --git a/debian/preinst b/debian/preinst
index 85b7328..c847abe 100644
--- a/debian/preinst
+++ b/debian/preinst
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh
 # 
 # preinst maintainer script for the Debian tex-common package.
 #
@@ -21,6 +21,8 @@
 # On Debian GNU/Linux System you can find a copy of the GNU General Public
 # License in "/usr/share/common-licenses/GPL".
 
+set -e
+
 umask 022
 
 # prepare for change of symlink to real dir

Debdiff

File lists identical (after any substitutions)

No differences were encountered in the control files

Run locally

Try this locally (using the lintian-brush package):

debcheckout tex-common
cd tex-common
lintian-brush

More details

Full run details